Bug 430493 - QPID-682 The API for FieldTable needs to support the types from the AMQP spec.
QPID-682 The API for FieldTable needs to support the types from the AMQP spec.
Status: CLOSED DEFERRED
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
1.0
All Linux
medium Severity medium
: 1.1
: ---
Assigned To: Andrew Stitcher
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-28 09:19 EST by Alan Conway
Modified: 2011-08-12 12:21 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 17:05:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-01-28 09:19:38 EST
https://issues.apache.org/jira/browse/QPID-682
Comment 1 Alan Conway 2008-05-20 09:16:30 EDT
At the very least we need to ensure that we can live with this API for GA and
extend it to new types without breaking compatibility.
Comment 2 Gordon Sim 2008-10-02 11:12:27 EDT
Andrew, could you review the current state of play and decide whether we are good enough for now (in which case we can close this) or whether specific actions need to be taken (in which case outline them and reassign if necessary).
Comment 3 Andrew Stitcher 2008-10-27 16:50:07 EDT
* The current Field Table API supports sufficiently many types to be very useful as is. However:

- the current API is not tidy or very consistent, so I think that it still needs changes.

- Especially the treatment of (the many types of) integers and strings needs to be improved.

- The overall C++ API is still missing support for sequences (of different types)

In summary though the API is currently adequate.

Note You need to log in before you can comment on or make changes to this bug.